Status: Closed

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27649

Description

Hi,

There's a small bug with the python wrapper of the widget for QgsProcessingParameterMultipleLayers that is used in the processing

modeler.

When the type is TypeMapLayer (e.g. any layer, vector or raster), it doesn't show any layer from the model.

It's most probably just a small mistake in the code (see proposed fix).

Cheers,

Olivier

Associated revisions

Revision 953ea96b - 2018-09-15 06:56 AM - Olivier Dalang

fixes #19825

History

#1 - 2018-09-12 01:14 AM - Olivier Dalang

See https://github.com/qgis/QGIS/pull/7864

(seems I can't add the patch supplied flag ?)

#2 - 2018-09-12 04:22 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2018-09-15 06:56 AM - Olivier Dalang

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|953ea96bfb671f4fa4bfc5536a9415b522470927.
